package com.buy507.mall.portal.domain;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("会员信息")
public class MemberInfoResult {
	
	@ApiModelProperty(value = "会员ID")
	private Long memberId;

	@ApiModelProperty(value = "会员昵称")
	private String nickname;
	
	@ApiModelProperty(value = "会员等级")
	private Integer memberLevel;
	
	@ApiModelProperty(value = "会员等级名称")
	private String memberLevelName;
	
	@ApiModelProperty(value = "余额")
	private BigDecimal balance;
	
	@ApiModelProperty(value = "冻结余额")
	private BigDecimal freeze;
	
	@ApiModelProperty(value = "会员消费总金额")
	private BigDecimal memberTotalConsume;
	
	@ApiModelProperty(value = "团队消费总金额")
	private BigDecimal teamTotalConsume;
	
	@ApiModelProperty(value = "优惠卷")
	private Integer coupon;
	
	@ApiModelProperty(value = "头像")
	private String headPicture;
	
	@ApiModelProperty(value = "性别：0->保密；1->男；2->女")
    private Integer gender;
	
	@ApiModelProperty(value = "性别中文显示：0->保密；1->男；2->女")
	private String genderName;
	
	@ApiModelProperty(value = "手机号码")
	private String phone;
	
	@ApiModelProperty(value = "邀请人")
	private String inviter;
	
	@ApiModelProperty(value = "真实姓名")
	private String realName;
	
	@ApiModelProperty(value = "联系地址")
	private String detailAddress;
	
	public Long getMemberId() {
		return memberId;
	}

	public void setMemberId(Long memberId) {
		this.memberId = memberId;
	}

	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public Integer getMemberLevel() {
		return memberLevel;
	}

	public void setMemberLevel(Integer memberLevel) {
		this.memberLevel = memberLevel;
	}

	public String getMemberLevelName() {
		return memberLevelName;
	}

	public void setMemberLevelName(String memberLevelName) {
		this.memberLevelName = memberLevelName;
	}

	public BigDecimal getBalance() {
		return balance;
	}

	public void setBalance(BigDecimal balance) {
		this.balance = balance;
	}

	public BigDecimal getFreeze() {
		return freeze;
	}

	public void setFreeze(BigDecimal freeze) {
		this.freeze = freeze;
	}

	public BigDecimal getMemberTotalConsume() {
		return memberTotalConsume;
	}

	public void setMemberTotalConsume(BigDecimal memberTotalConsume) {
		this.memberTotalConsume = memberTotalConsume;
	}

	public BigDecimal getTeamTotalConsume() {
		return teamTotalConsume;
	}

	public void setTeamTotalConsume(BigDecimal teamTotalConsume) {
		this.teamTotalConsume = teamTotalConsume;
	}

	public Integer getCoupon() {
		return coupon;
	}

	public void setCoupon(Integer coupon) {
		this.coupon = coupon;
	}

	public String getHeadPicture() {
		return headPicture;
	}

	public void setHeadPicture(String headPicture) {
		this.headPicture = headPicture;
	}

	public Integer getGender() {
		return gender;
	}

	public void setGender(Integer gender) {
		this.gender = gender;
	}

	public String getGenderName() {
		return genderName;
	}

	public void setGenderName(String genderName) {
		this.genderName = genderName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getInviter() {
		return inviter;
	}

	public void setInviter(String inviter) {
		this.inviter = inviter;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getDetailAddress() {
		return detailAddress;
	}

	public void setDetailAddress(String detailAddress) {
		this.detailAddress = detailAddress;
	}
	
}
